Sometimes deps (external from FFmpeg) can cause different results
either because of bugs or because of drop in replacements.

This feature of alternate reference files should only be used
where absolutely necessary because other solutions are not
feasible in practice. Maintaining two reference files is a
burden and updating one or the other can easily be forgotten.

Signed-off-by: Alexander Strasser <eclip...@gmx.net>
---
 tests/fate-run.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index c61a4dc992..5e9acb253d 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -687,6 +687,16 @@ if test -e "$ref" || test $cmp = "oneline" || test $cmp = 
"null" || test $cmp =
         null)   cat               "$outfile"            >$cmpfile ;;
     esac
     cmperr=$?
+    if test $cmperr != 0 && test -e "$ref".alt && !(test $cmp = "oneline" || 
test $cmp = "null" || test $cmp = "grep") ; then
+        case $cmp in
+            diff)   diff -u -b "$ref".alt "$outfile"            >$cmpfile ;;
+            rawdiff)diff -u    "$ref".alt "$outfile"            >$cmpfile ;;
+            oneoff) oneoff     "$ref".alt "$outfile"            >$cmpfile ;;
+            stddev) stddev     "$ref".alt "$outfile"            >$cmpfile ;;
+        esac
+        cmperr=$?
+    fi
+
     test $err = 0 && err=$cmperr
     if [ "$report_type" = "ignore" ]; then
         test $err = 0 || echo "IGNORE\t${test}" && err=0 && unset sig
--
_______________________________________________
ffmpeg-devel mailing list
ffmpeg-devel@ffmpeg.org
https://ffmpeg.org/mailman/listinfo/ffmpeg-devel

To unsubscribe, visit link above, or email
ffmpeg-devel-requ...@ffmpeg.org with subject "unsubscribe".

Reply via email to